package Übungen.Pac_Man;

import java.awt.*;
import java.awt.event.KeyEvent;

public class PacMan extends Rectangle {

	private static int pacMan_width = 20;
	private static int pacMan_height = 20;
	private int ybewegung;
	private int xbewegung;
	private int speed = 8;

	PacMan(int x, int y) {

		super(x, y, pacMan_width, pacMan_height);
	}

	public void draw(Graphics g) {
		g.setColor(Color.GREEN);
		g.fillRect(x, y, pacMan_width, pacMan_height);
	}

	public void keyPressed(KeyEvent e) {

		if (e.getKeyCode() == KeyEvent.VK_W) {
			set_y_bewegung(-speed);
			set_x_bewegung(0);
		}

		if (e.getKeyCode() == KeyEvent.VK_S) {
			set_y_bewegung(speed);
			set_x_bewegung(0);
		}

		if (e.getKeyCode() == KeyEvent.VK_D) {
			set_y_bewegung(0);
			set_x_bewegung(speed);
		}

		if (e.getKeyCode() == KeyEvent.VK_A) {
			set_y_bewegung(0);
			set_x_bewegung(-speed);
		}

	}

	public void set_y_bewegung(int y) {
		this.ybewegung = y;
	}
	
	public void set_x_bewegung(int x) {
		this.xbewegung = x;
	}
	
	public void move() {
		y += ybewegung;
		x += xbewegung;
	}
	
	public void check_kollision() {
		
	}

}
